Pesquisa resultou em 414 ocorrências

por ederson
Qua 08 Mai 2019 7:48:16 pm
Fórum: Dúvidas
Tópico: Converter String em Real
Respostas: 12
Exibições: 3468

Re: Converter String em Real

Agora entendi seu problema...
(rtos (+ (read "357982.9056") (read "8564432.6590")) 2 4)
ou
(rtos (+ (atof "357982.9056") (atof "8564432.6590")) 2 4)
retornam
"8922415.5646"
Qué acredito ser o formato de numero que vc precisa
Veja que está tudo certo...
Abs!
por ederson
Qua 08 Mai 2019 9:52:55 am
Fórum: Dúvidas
Tópico: Converter String em Real
Respostas: 12
Exibições: 3468

Re: Converter String em Real

Há um limite para o tamanho do real no cad/lisp. Não sei exatamente o limite.
Multiplique seu real por algo como 0.01, convertendo cm para metro, etc. Então aplique o rtos com muitas casas decimais. Deve dar certo
por ederson
Qua 18 Dez 2013 4:17:51 pm
Fórum: Dúvidas
Tópico: Localizar linha anterior e posterior
Respostas: 1
Exibições: 5549

Re: Localizar linha anterior e posterior

Prezados... consegui
Meio esquisito, mas consegui. Implementei algo a partir dessa propriedade http://www.ime.usp.br/~freitas/gc/teste_ie.html dos poligonos. Isso mais interseção de pontos resolveu minha vida.
Grato
por ederson
Qua 18 Dez 2013 2:57:34 pm
Fórum: Dúvidas
Tópico: Localizar linha anterior e posterior
Respostas: 1
Exibições: 5549

Localizar linha anterior e posterior

Prezados, quem é vivo sempre aparece... e preciso de sugestões... Imaginem um conjunto de curvas de níveis... imaginem um ponto entre essas curvas. Como encontrar as curva imediatamente anterior e a imediatamente posterior a esse ponto. Detalhes: Os objetos não estão e não serão desenhados Tudo que ...
por ederson
Dom 14 Jun 2009 7:27:47 pm
Fórum: Dúvidas
Tópico: Pegar a rotação de um objeto
Respostas: 5
Exibições: 2183

Neste caso é produtivo manipular as coordenadas do getboundingbox.

(vla-getboundingbox (vlax-ename->vla-object (car (entsel))) 'minpoint 'maxpoint)
(print (list (vlax-safearray->list minpoint) (vlax-safearray->list maxpoint)))

Até!
por ederson
Sáb 13 Jun 2009 9:26:09 pm
Fórum: Dúvidas
Tópico: Pegar a rotação de um objeto
Respostas: 5
Exibições: 2183

Se o objeto for uma linha:

[/lsp](vla-get-angle (vlax-ename->vla-object (car (entsel))))[/lsp]

Se não for uma linha, terá que utilizar de outros recursos.
por ederson
Qua 10 Jun 2009 12:38:19 pm
Fórum: Dúvidas
Tópico: Duvida em FAS ou VLX
Respostas: 3
Exibições: 1989

Neyton, bacana saber que no VLX os comentários sã eliminados... Sofria por nada!!!
por ederson
Ter 09 Jun 2009 11:54:39 am
Fórum: Dúvidas
Tópico: Duvida em FAS ou VLX
Respostas: 3
Exibições: 1989

Olá Adan, sugiro VLX. Há alguns colegas aqui que conseguem "desVLXlá-los". Mas acredito que somente os jedi (Marcelo, Marcos, Hugo, Neyton, etc). É boa prática inserir no seu código algum tipo de chave, a qual somente vc saiba como funciona. No meio do código, por várias vezes, verifique esta chave....
por ederson
Ter 09 Jun 2009 9:54:22 am
Fórum: AutoLISP
Tópico: LISP novo arquivo
Respostas: 3
Exibições: 1100

Slipdot, é possível criar um código para custumização de quase tudo no autocad com autolisp... Porém, na maioria das vezes, um código eficiente precisará de um desenho também eficiente (um desenho eficas nem sempre basta). A maioria dos códigos de gerenciamento de objetos, que conheço, utilizam ou t...
por ederson
Seg 08 Jun 2009 4:22:53 pm
Fórum: Dúvidas
Tópico: lisp e comando "grpup"
Respostas: 16
Exibições: 2666

FFFFFAAAAALLLLLOOOOOUUUUU!!!!!